local config = {}
local path = "Interface\\Addons\\OttoSkin\\Otto" 

function NAMEPLATE_STYLE_DELEGATE(unit)
	if unit.isElite then return true else return false end
end

function NAMEPLATE_SPECIALTEXT_DELEGATE(unit)
	return unit.level
end

config.healthborder = {
	texture 		        = path.."\\OttoSkin_Artwork",
	glowtexture 			= path.."\\OttoSkin_Glow",
	elitetexture		 	= path.."\\OttoSkin_Elite",
	emptytexture			= path.."\\Empty",
	width = 128,
	height = 64,
	x = 0,
	y = 0,
}

config.threatborder = {
	texture =					path.."\\OttoSkin_Threat_Regular",
	elitetexture =			path.."\\OttoSkin_Threat_Elite",
	width = 128,
	height = 64,
	x = 0,
	y = 0,
	anchor = "CENTER",
    }


config.name = {
	typeface =					path.."\\TinDog.ttf",
	size = 10,
	width = 70,
	height = 9,
	x = -5,
	y = -22,
	align = "LEFT",
	anchor = "TOPLEFT",
	--shadow = true,
	vertical = "BOTTOM",
}

config.level = {
	typeface =					path.."\\TinDog.ttf",
	size = 10,
	width = 30,
	height = 9,
	x = -72,
 	y = -22,
	align = "RIGHT",
	anchor = "TOPRIGHT",
    shadow = true,
	vertical = "BOTTOM",
}

config.healthbar = {
	texture =					 path.."\\tengwar",
	height = 11,
	width = 70,
	x = -2,
	y = -13,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.castbar = {
	texture =					path.."\\tengwar",
	height = 11,
	width = 70,
	x = -2,
	y = 4,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.specialText = {
	typeface =					path.."\\TinDog.ttf",
	size = 10,
	width = 74,
	height = 9,
	x = 0,
	y = 2,
	align = "RIGHT",
	anchor = "BOTTOMRIGHT",
	vertical = "TOP",
}

config.spellicon = {
	width = 13,
	height = 13,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
}

config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 12,
	anchor = "TOP",
}

config.frame = {
	width = 64,
	height = 32,
	x = 0,
	y = 20,
}

config.options = {
	showEliteColor = true,
	showLevelColorOnTexture = true,
	showLevel = true,
	showName = true,
	showSpecialText = false,
}

if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["OttoSkin"] = config


local f = CreateFrame("Frame", "AutoNameplates")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:SetScript("OnEvent", function(self, event, ...)
  self[event]()
end)


function f:PLAYER_REGEN_ENABLED()
	SetCVar("nameplateShowEnemies", 0)
end

function f:PLAYER_REGEN_DISABLED()
 	SetCVar("nameplateShowEnemies", 1)
end


MY_NAMEPLATE_STYLE_BASIC = {}
MY_NAMEPLATE_STYLE_BASIC = config




